@article{einstein,
    author =       "Albert Einstein",
    title =        "{Zur Elektrodynamik bewegter K{\"o}rper}. ({German})
        [{On} the electrodynamics of moving bodies]",
    journal =      "Annalen der Physik",
    volume =       "322",
    number =       "10",
    pages =        "891--921",
    year =         "1905",
    DOI =          "http://dx.doi.org/10.1002/andp.19053221004"
}
@book{latexcompanion,
    author    = "Michel Goossens and Frank Mittelbach and Alexander Samarin",
    title     = "The \LaTeX\ Companion",
    year      = "1993",
    publisher = "Addison-Wesley",
    address   = "Reading, Massachusetts"
}
@misc{knuthwebsite,
    author    = "Donald Knuth",
    title     = "Knuth: Computers and Typesetting",
    url       = "http://www-cs-faculty.stanford.edu/\~{}uno/abcde.html"
}
@book{partitiontheorem,
  title     = "Graph Theory",
  author    = "Harary, Frank",
  year      = 2018,
  page      = 172,
  isbn      = "978-0-429-96231-8",
  publisher = "CRC Press",
  address   = "Boca Raton, Florida, United States"
}
@book{metis,
  title={Using METIS and hMETIS algorithms in circuit partitioning},
  author={Miettinen, Pekka and Honkala, Mikko and Roos, Janne},
  year={2006},
  publisher={Helsinki University of Technology}
}
@ARTICLE{KLpartition,
  author={Kernighan, B. W. and Lin, S.},
  journal={The Bell System Technical Journal},
  title={An efficient heuristic procedure for partitioning graphs},
  year={1970},
  volume={49},
  number={2},
  pages={291-307},
  doi={10.1002/j.1538-7305.1970.tb01770.x}
}
@INPROCEEDINGS{FMpartition,
  author={Fiduccia, C.M. and Mattheyses, R.M.},
  booktitle={19th Design Automation Conference},
  title={A Linear-Time Heuristic for Improving Network Partitions},
  year={1982},
  volume={},
  number={},
  pages={175-181},
  doi={10.1109/DAC.1982.1585498}
}
@ARTICLE{RWcluster,
  author={Rajaraman, R. and Wong, D.F.},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  title={Optimum clustering for delay minimization},
  year={1995},
  volume={14},
  number={12},
  pages={1490-1495},
  doi={10.1109/43.476579}
}
@ARTICLE{FlowMap,
  author={Cong, J. and Yuzheng Ding},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  title={FlowMap: an optimal technology mapping algorithm for delay optimization in lookup-table based FPGA designs},
  year={1994},
  volume={13},
  number={1},
  pages={1-12},
  doi={10.1109/43.273754}
}
@inproceedings{hMETIScoarsening,
author = {Karypis, George and Aggarwal, Rajat and Kumar, Vipin and Shekhar, Shashi},
title = {Multilevel Hypergraph Partitioning: Application in VLSI Domain},
year = {1997},
isbn = {0897919203},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/266021.266273},
doi = {10.1145/266021.266273},
abstract = {In this paper, we present a new hypergraph partitioning algorithmthat is based on the multilevel paradigm. In the multilevel paradigm,a sequence of successively coarser hypergraphs is constructed. Abisection of the smallest hypergraph is computed and it is used toobtain a bisection of the original hypergraph by successively projectingand refining the bisection to the next level finer hypergraph.We evaluate the performance both in terms of the size of the hyper-edgecut on the bisection as well as run time on a number of VLSIcircuits. Our experiments show that our multilevel hypergraph partitioningalgorithm produces high quality partitioning in relativelysmall amount of time. The quality of the partitionings produced byour scheme are on the average 4% to 23% better than those producedby other state-of-the-art schemes. Furthermore, our partitioning algorithmissignificantly faster, often requiring 4 to 15 times less timethan that required by the other schemes. Our multilevel hypergraphpartitioning algorithm scales very well for large hypergraphs. Hypergraphswith over 100,000 vertices can be bisected in a few minuteson today's workstations. Also, on the large hypergraphs, ourscheme outperforms other schemes (in hyperedge cut) quite consistentlywith larger margins (9% to 30%).},
booktitle = {Proceedings of the 34th Annual Design Automation Conference},
pages = {526–529},
numpages = {4},
location = {Anaheim, California, USA},
series = {DAC '97}
}
@inproceedings{OpenDPplacer,
author = {Do, SangGi and Woo, Mingyu and Kang, Seokhyeong},
title = {Fence-Region-Aware Mixed-Height Standard Cell Legalization},
year = {2019},
isbn = {9781450362528},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/3299874.3318012},
doi = {10.1145/3299874.3318012},
abstract = {We propose a fence-region-aware mixed-height standard cell legalization that can optimize the placement of standard cells that have more than a two row height in various shapes of the fence region. The algorithm consists of pre-legalization and mixed-height standard cell legalization steps to prioritize cell legalization; then a quality refinement step that uses simulated annealing reduces the displacement. Our proposed method achieved 63% improvement in the average quality score and 72% improvement in average runtime, compared to the winners of the ICCAD-2017 contest.},
booktitle = {Proceedings of the 2019 on Great Lakes Symposium on VLSI},
pages = {259–262},
numpages = {4},
keywords = {mixed-height standard cell, detailed placement, legalization},
location = {Tysons Corner, VA, USA},
series = {GLSVLSI '19}
}
@ARTICLE{RePlAce,
  author={Cheng, Chung-Kuan and Kahng, Andrew B. and Kang, Ilgweon and Wang, Lutong},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  title={RePlAce: Advancing Solution Quality and Routability Validation in Global Placement},
  year={2019},
  volume={38},
  number={9},
  pages={1717-1730},
  doi={10.1109/TCAD.2018.2859220}
}
@ARTICLE{TimberWolf,
  author={Sechen, C. and Sangiovanni-Vincentelli, A.},
  journal={IEEE Journal of Solid-State Circuits},
  title={The TimberWolf placement and routing package},
  year={1985},
  volume={20},
  number={2},
  pages={510-522},
  doi={10.1109/JSSC.1985.1052337}
}
@article{MSTUpperBound,
 ISSN = {00361399},
 URL = {http://www.jstor.org/stable/2100587},
 abstract = {We consider Steiner minimal trees in the plane with rectilinear distance. The rectilinear distance d(p1, p2) between two points p1, p2 is |x1 - x2| + |y1 - y2|, where the (xi, yi) are the Cartesian coordinates of the pi. For a given finite set P of points, let ls denote the length of a Steiner minimal tree and lm the length of a minimal spanning tree. The main result of the memorandum is that ls/lm ≥ 2/3.},
 author = {F. K. Hwang},
 journal = {SIAM Journal on Applied Mathematics},
 number = {1},
 pages = {104--114},
 publisher = {Society for Industrial and Applied Mathematics},
 title = {On Steiner Minimal Trees with Rectilinear Distance},
 urldate = {2022-11-19},
 volume = {30},
 year = {1976}
}
@ARTICLE{LRSTRouting,
  author={Ho, J.-M. and Vijayan, G. and Wong, C.K.},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  title={New algorithms for the rectilinear Steiner tree problem},
  year={1990},
  volume={9},
  number={2},
  pages={185-193},
  doi={10.1109/43.46785}
}
@article{HananGridRouting,
  title={On Steiner's Problem with Rectilinear Distance},
  author={Maurice Hanan},
  journal={Siam Journal on Applied Mathematics},
  year={1966},
  volume={14},
  pages={255-265}
}
@inproceedings{PlanarRMSTdegree,
author = {Robins, Gabriel and Salowe, Jeffrey S.},
title = {On the Maximum Degree of Minimum Spanning Trees},
year = {1994},
isbn = {0897916484},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/177424.177978},
doi = {10.1145/177424.177978},
abstract = {Motivated by practical VLSI routing applications, we study the maximum vertex degree of a minimum spanning tree (MST). We prove that under the Lp norm, the maximum vertex degree over all MSTs is equal to the Hadwiger number of the corresponding unit ball; we show an even tighter bound for MSTs where the maximum degree is minimized. We give the best-known bounds for the maximum MST degree for arbitrary Lp metrics in all dimensions, with a focus on the rectilinear metric in two and three dimensions. We show that for any finite set of points in the Manhattan plane there exists an MST with maximum degree of at most 4, and for three-dimensional Manhattan space the maximum possible degree of a minimum degree MST is either 13 or 14.},
booktitle = {Proceedings of the Tenth Annual Symposium on Computational Geometry},
pages = {250–258},
numpages = {9},
location = {Stony Brook, New York, USA},
series = {SCG '94}
}
@ARTICLE{1SteinerHeuristic,
  author={Borah, M. and Owens, R.M. and Irwin, M.J.},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems}, 
  title={An edge-based heuristic for Steiner routing}, 
  year={1994},
  volume={13},
  number={12},
  pages={1563-1568},
  doi={10.1109/43.331412}
}
@article{1Steiner,
  title={The 1-Steiner tree problem},
  author={Georgakopoulos, George and Papadimitriou, Christos H},
  journal={Journal of Algorithms},
  volume={8},
  number={1},
  pages={122--130},
  year={1987},
  publisher={Elsevier}
}
@article{FastRoute,
author = {Pan, Min and Xu, Yue and Zhang, Yanheng and Chu, Chris},
title = {FastRoute: An Efficient and High-Quality Global Router},
year = {2012},
issue_date = {January 2012},
publisher = {Hindawi Limited},
address = {London, GBR},
volume = {2012},
issn = {1065-514X},
url = {https://doi.org/10.1155/2012/608362},
doi = {10.1155/2012/608362},
abstract = {Modern large-scale circuit designs have created great demand for fast and high-quality global routing algorithms to resolve the routing congestion at the global level. Rip-up and reroute scheme has been employed by the majority of academic and industrial global routers today, which iteratively resolve the congestion by recreating the routing path based on current congestion. This method is proved to be the most practical routing framework. However, the traditional iterative maze routing technique converges very slowly and easily gets stuck at local optimal solutions. In this work, we propose a very efficient and high-quality global router--FastRoute. FastRoute integrates several novel techniques: fast congestion-driven via-aware Steiner tree construction, 3- bend routing, virtual capacity adjustment, multisource multi-sink maze routing, and spiral layer assignment. These techniques not only address the routing congestion measured at the edges of global routing grids but also minimize the total wirelength and via usage, which is critical for subsequent detailed routing, yield, and manufacturability. Experimental results show that FastRoute is highly effective and efficient to solve ISPD07 and ISPD08 global routing benchmark suites. The results outperform recently published academic global routers in both routability and runtime. In particular, for ISPD07 and ISPD08 global routing benchmarks, FastRoute generates 12 congestion-free solutions out of 16 benchmarks with a speed significantly faster than other routers.},
journal = {VLSI Des.},
month = {jan},
articleno = {14},
numpages = {1}
}
@ARTICLE{LeeRouting,
  author={Lee, C. Y.},
  journal={IRE Transactions on Electronic Computers},
  title={An Algorithm for Path Connections and Its Applications},
  year={1961},
  volume={EC-10},
  number={3},
  pages={346-365},
  doi={10.1109/TEC.1961.5219222}
}
@inproceedings{SoukupRouting,
author = {Soukup, J.},
title = {Fast Maze Router},
year = {1978},
publisher = {IEEE Press},
abstract = {This paper describes a method of generating a path between two points of a cellular array, with some cells being specified as obstacles. The method combines two techniques: A line search is first directed toward the target. This is a fast and extremely effective method on boards with plenty of space. When the line search hits an obstacle, an expansion technique typical for the Lee-type algorithms is then used to “bubble” around the obstacle. The line search can then continue toward the target again.},
booktitle = {Proceedings of the 15th Design Automation Conference},
pages = {100–102},
numpages = {3},
location = {Las Vegas, Nevada, USA},
series = {DAC '78}
}
@ARTICLE{AStar,
  author={Hart, Peter E. and Nilsson, Nils J. and Raphael, Bertram},
  journal={IEEE Transactions on Systems Science and Cybernetics},
  title={A Formal Basis for the Heuristic Determination of Minimum Cost Paths},
  year={1968},
  volume={4},
  number={2},
  pages={100-107},
  doi={10.1109/TSSC.1968.300136}
}
@article{HadlockRouting,
author = {Hadlock, F. O.},
title = {A shortest path algorithm for grid graphs},
journal = {Networks},
volume = {7},
number = {4},
pages = {323-334},
doi = {https://doi.org/10.1002/net.3230070404},
url = {https://onlinelibrary.wiley.com/doi/abs/10.1002/net.3230070404},
eprint = {https://onlinelibrary.wiley.com/doi/pdf/10.1002/net.3230070404},
year = {1977}
}
@inproceedings{MikamiTabuchiRouting,
  title={A computer program for optimal routing of printed circuit conductors},
  author={Koichi Mikami and Kinya Tabuchi},
  booktitle={IFIP Congress},
  year={1968}
}
@inproceedings{HightowerRouting,
  title={A solution to line-routing problems on the continuous plane},
  author={Dave Hightower},
  booktitle={DAC '69},
  year={1969}
}
@article{ElmoreDelay,
  title={The transient response of damped linear networks with particular regard to wideband amplifiers},
  author={Elmore, William C},
  journal={Journal of applied physics},
  volume={19},
  number={1},
  pages={55--63},
  year={1948},
  publisher={American Institute of Physics}
}
@inproceedings{ERTRouting,
  title={High-performance routing trees with identified critical sinks},
  author={Boese, Kenneth D and Kahng, Andrew B and Robins, Gabriel},
  booktitle={Proceedings of the 30th International Design Automation Conference},
  pages={182--187},
  year={1993}
}
@inproceedings{SERTRouting,
  title={Rectilinear Steiner trees with minimum Elmore delay},
  author={Boese, Kenneth D and Kahng, Andrew B and McCoy, Bernard A and Robins, Gabriel},
  booktitle={Proceedings of the 31st Annual Design Automation Conference},
  pages={381--386},
  year={1994}
}
@inproceedings{PathFinderRouting,
  author = {McMurchie, Larry and Ebeling, Carl},
  title = {PathFinder: A Negotiation-Based Performance-Driven Router for FPGAs},
  year = {1995},
  isbn = {089791743X},
  publisher = {Association for Computing Machinery},
  address = {New York, NY, USA},
  url = {https://doi.org/10.1145/201310.201328},
  doi = {10.1145/201310.201328},
  abstract = {Routing FPGAs is a challenging problem because of the relative scarcity of routing resources, both wires and connection points. This can lead either to slow implementations caused by long wiring paths that avoid congestion or a failure to route all signals. This paper presents PathFinder, a router that balances the goals of performance and routability. PathFinder uses an iterative algorithm that converges to a solution in which all signals are routed while achieving close to the optimal performance allowed by the placement. Routability is achieved by forcing signals to negotiate for a resource and thereby determine which signal needs the resource most. Delay is minimized by allowing the more critical signals a greater say in this negotiation. Because PathFinder requires only a directed graph to describe the architecture of routing resources, it adapts readily to a wide variety of FPGA architectures such as Triptych, Xilinx 3000 and mesh-connected arrays of FPGAs. The results of routing ISCAS benchmarks on the Triptych FPGA architecture show an average increase of only 4.5\% in critical path delay over the optimum delay for a placement. Routes of ISCAS benchmarks on the Xilinx 3000 architecture show a greater completion rate than commercial tools, as well as 11\% faster implementations.},
  booktitle = {Proceedings of the 1995 ACM Third International Symposium on Field-Programmable Gate Arrays},
  pages = {111–117},
  numpages = {7},
  location = {Monterey, California, USA},
  series = {FPGA '95}
}
@article{GHTreeCTS,
  title={Optimal Generalized H-Tree Topology and Buffering for High-Performance and Low-Power Clock Distribution},
  author={Kwangsoo Han and Andrew B. Kahng and Jiajia Li},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  year={2020},
  volume={39},
  pages={478-491}
}
@article{rtlvVerif,
  title={rtlv: push-button verification of software on hardware},
  author={Moroze, Noah and Athalye, Anish and Kaashoek, M Frans and Zeldovich, Nickolai},
  url = {https://people.csail.mit.edu/nickolai/papers/moroze-rtlv.pdf},
}
@inproceedings{cvc4SMT,
  author    = {Clark W. Barrett and
               Christopher L. Conway and
               Morgan Deters and
               Liana Hadarean and
               Dejan Jovanovic and
               Tim King and
               Andrew Reynolds and
               Cesare Tinelli},
  editor    = {Ganesh Gopalakrishnan and
               Shaz Qadeer},
  title     = {{CVC4}},
  booktitle = {Computer Aided Verification - 23rd International Conference, {CAV}
               2011, Snowbird, UT, USA, July 14-20, 2011. Proceedings},
  series    = {Lecture Notes in Computer Science},
  volume    = {6806},
  pages     = {171--177},
  publisher = {Springer},
  year      = {2011},
  url       = {https://doi.org/10.1007/978-3-642-22110-1\_14},
  doi       = {10.1007/978-3-642-22110-1\_14},
  biburl    = {https://dblp.org/rec/conf/cav/BarrettCDHJKRT11.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}
@inproceedings{boolectorSMT,
  title={Boolector: An efficient SMT solver for bit-vectors and arrays},
  author={Brummayer, Robert and Biere, Armin},
  booktitle={International Conference on Tools and Algorithms for the Construction and Analysis of Systems},
  pages={174--177},
  year={2009},
  organization={Springer}
}
@phdthesis{BoolectorAIG,
  title={Bit-Precise Reasoning Beyond Bit-Blasting/eingereicht von Dipl.-Ing. Aina Niemetz, Bsc},
  author={Niemetz, Aina},
  year={2017},
  school={Universit{\"a}t Linz}
}

@inproceedings{z3SMT,
  title={Z3: An efficient SMT solver},
  author={Moura, Leonardo de and Bj{\o}rner, Nikolaj},
  booktitle={International conference on Tools and Algorithms for the Construction and Analysis of Systems},
  pages={337--340},
  year={2008},
  organization={Springer}
}
@inproceedings{mathsatSMT,
  title={The mathsat 4 smt solver},
  author={Bruttomesso, Roberto and Cimatti, Alessandro and Franz{\'e}n, Anders and Griggio, Alberto and Sebastiani, Roberto},
  booktitle={International Conference on Computer Aided Verification},
  pages={299--303},
  year={2008},
  organization={Springer}
}
@InProceedings{yices2SMT,
  author = 	 {Dutertre, Bruno},
  title = 	 {Yices 2.2},
  booktitle = {Computer-Aided Verification (CAV'2014)},
  editor =       {Biere, Armin and Bloem, Roderick},
  year = 	 2014,
  volume =       8559,
  series =       {Lecture Notes in Computer Science},
  pages =        {737--744},
  month = 	 {July},
  publisher =    {Springer}
}
@article{symbiyosys,
  title={SymbiYosys},
  author={Wolf, Claire},
  journal={URL: https://symbiyosys. readthedocs. io/.[Cited on page 6.]}
}
@techreport{FRAIG,
  title={FRAIGs: A unifying representation for logic synthesis and verification},
  author={Mishchenko, Alan and Chatterjee, Satrajit and Jiang, Roland and Brayton, Robert K},
  year={2005},
  institution={ERL Technical Report}
}
@inproceedings{ABC,
  title={ABC: An academic industrial-strength verification tool},
  author={Brayton, Robert and Mishchenko, Alan},
  booktitle={International Conference on Computer Aided Verification},
  pages={24--40},
  year={2010},
  organization={Springer}
}
@misc{Yosys,
	author = {Claire Wolf},
	title = {Yosys Open SYnthesis Suite manual},
	url = {https://yosyshq.readthedocs.io/projects/yosys/en/latest/}
}
@inproceedings{CODCSynth,
  title={Compatible observability don't cares revisited},
  author={Brayton, Robert K},
  booktitle={IEEE/ACM International Conference on Computer Aided Design. ICCAD 2001. IEEE/ACM Digest of Technical Papers (Cat. No. 01CH37281)},
  pages={618--623},
  year={2001},
  organization={IEEE}
}
@book{EspressoSynth,
  title={Logic minimization algorithms for VLSI synthesis},
  author={Brayton, Robert K and Hachtel, Gary D and McMullen, Curt and Sangiovanni-Vincentelli, Alberto},
  volume={2},
  year={1984},
  publisher={Springer Science \& Business Media}
}
@inproceedings{BoomSynth,
  title={Two-level boolean minimizer boom-ii},
  author={Fi{\v{s}}er, Petr and Kub{\'a}tov{\'a}, Hana},
  booktitle={Proc. 6th Int. Workshop on Boolean Problems (IWSBP'04), Freiberg, Germany},
  volume={23},
  number={24.9},
  year={2004}
}
@inproceedings{TTMinSynth,
  title={A Fast SOP Minimizer for Logic Funcions Described by Many Product Terms},
  author={Fiser, Petr and Toman, David},
  booktitle={2009 12th Euromicro Conference on Digital System Design, Architectures, Methods and Tools},
  pages={757--764},
  year={2009},
  organization={IEEE}
}
@inproceedings{EXORCISMSynth,
  title={EXORCISM-MV-2: minimization of exclusive sum of products expressions for multiple-valued input incompletely specified functions},
  author={Song, Ning and Perkowski, Marek A},
  booktitle={[1993] Proceedings of the Twenty-Third International Symposium on Multiple-Valued Logic},
  pages={132--137},
  year={1993},
  organization={IEEE}
}
@incollection{HopcroftDFA,
  title={An n log n algorithm for minimizing states in a finite automaton},
  author={Hopcroft, John},
  booktitle={Theory of machines and computations},
  pages={189--196},
  year={1971},
  publisher={Elsevier}
}
@article{NerodeDFA,
  title={Linear automaton transformations},
  author={Nerode, Anil},
  journal={Proceedings of the American Mathematical Society},
  volume={9},
  number={4},
  pages={541--544},
  year={1958},
  publisher={JSTOR}
}
@article{RhoDFA,
  title={Exact and heuristic algorithms for the minimization of incompletely specified state machines},
  author={Rho, June-Kyung and Hachtel, Gary D and Somenzi, Fabio and Jacoby, Reily M},
  journal={IEEE transactions on computer-aided design of integrated circuits and systems},
  volume={13},
  number={2},
  pages={167--177},
  year={1994},
  publisher={IEEE}
}
@misc{LEFDEF,
  url={http://www.ispd.cc/contests/18/lefdefref.pdf},
  journal={LEF/DEF 5.7 Language Reference},
  publisher={Cadence Design Systems, Inc..},
  year={2009},
  month={Nov}
}
@article{TritonRoute,
  title={Tritonroute: The open-source detailed router},
  author={Kahng, Andrew B and Wang, Lutong and Xu, Bangqi},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  volume={40},
  number={3},
  pages={547--559},
  year={2020},
  publisher={IEEE}
}
@inproceedings{TaoPinAccess,
  title={The tao of PAO: Anatomy of a pin access oracle for detailed routing},
  author={Kahng, Andrew B and Wang, Lutong and Xu, Bangqi},
  booktitle={2020 57th ACM/IEEE Design Automation Conference (DAC)},
  pages={1--6},
  year={2020},
  organization={IEEE}
}
@article{BlackParrotRISCV,
  title={BlackParrot: An agile open-source RISC-V multicore for accelerator SoCs},
  author={Petrisko, Daniel and Gilani, Farzam and Wyse, Mark and Jung, Dai Cheol and Davidson, Scott and Gao, Paul and Zhao, Chun and Azad, Zahra and Canakci, Sadullah and Veluri, Bandhav and others},
  journal={IEEE Micro},
  volume={40},
  number={4},
  pages={93--102},
  year={2020},
  publisher={IEEE}
}
@misc{QFlow,
  url={http://opencircuitdesign.com/qflow},
  journal={QFlow 1.3: An Open-Source Digital Synthesis Flow},
  publisher={R. Timothy Edwards},
  year={2018}
}
@article{RealSiTEdwards,
  title={Real silicon using open-source EDA},
  author={Edwards, R Timothy and Shalan, Mohamed and Kassem, Mohamed},
  journal={IEEE Design \& Test},
  volume={38},
  number={2},
  pages={38--44},
  year={2021},
  publisher={IEEE}
}
@article{MagicViewer,
  title={The magic VLSI layout system},
  author={Ousterhout, John K and Hamachi, Gordon T and Mayo, Robert N and Scott, Walter S and Taylor, George S},
  journal={IEEE Design \& Test of Computers},
  volume={2},
  number={1},
  pages={19--30},
  year={1985},
  publisher={IEEE}
}
@inproceedings{OpenDB,
  title={Opendb, openroad’s database},
  author={Spyrou, Tom},
  booktitle={Proc. Workshop on Open-Source EDA Technology (WOSET)},
  pages={6},
  year={2019}
}
@misc{Coriolis,
  url={http://coriolis.lip6.fr/},
  journal={Alliance/Coriolis VLSI CAD Tools},
  school={LIP6 - Laboratoire d'Informatique de Paris 6}
}
@phdthesis{ColoquintePlace,
  title={Coloquinte: a mixed-size placer for the Coriolis toolchain},
  author={Gouvine, Gabriel},
  year={2015},
  school={LIP6 - Laboratoire d'Informatique de Paris 6}
}
@misc{ColoquintePlace2,
  title={Coloquinte: a mixed-size placer for the Coriolis toolchain},
  url={https://github.com/Coloquinte/Coloquinte_placement},
  author={Gouvine, Gabriel},
  year={2015},
  school={LIP6 - Laboratoire d'Informatique de Paris 6}
}
@misc{IntelArria,
  title={Intel® Arria® 10 Device Overview},
  url={https://www.intel.com/content/www/us/en/docs/programmable/683332/current/adaptive-logic-module.html},
  year={2022},
  publisher={Intel Corporation}
}
@inproceedings{VSDFLOW,
  title={Technology mediated tutorial on RISC-V CPU core implementation and sign-off using revolutionary EDA management system (EMS)—VSDFLOW},
  author={Ghosh, Kunal Promode and Ghosh, Anagha K},
  booktitle={2018 China Semiconductor Technology International Conference (CSTIC)},
  pages={1--3},
  year={2018},
  organization={IEEE}
}
@article{RosettaInterop,
  title={RosettaStone: Connecting the Past, Present and Future of Physical Design Research},
  author={Kahng, Andrew B and Kim, Minsoo and Kim, Seungwon and Woo, Mingyu},
  journal={IEEE Design \& Test},
  year={2022},
  publisher={IEEE}
}
@article{HAMMERFlow,
  title={HAMMER: A Platform for Agile Physical Design},
  author={Wang, Edward},
  journal={Master's thesis, EECS Dept, UC Berkeley},
  year={2018}
}
@inproceedings{Nextpnr,
  title={Yosys+ nextpnr: an open source framework from verilog to bitstream for commercial fpgas},
  author={Shah, Myrtle and Hung, Eddie and Wolf, Claire and Bazanski, Serge and Gisselquist, Dan and Milanovic, Miodrag},
  booktitle={2019 IEEE 27th Annual International Symposium on Field-Programmable Custom Computing Machines (FCCM)},
  pages={1--4},
  year={2019},
  organization={IEEE}
}
@inproceedings{ePlace,
  title={ePlace: Electrostatics based placement using Nesterov's method},
  author={Lu, Jingwei and Chen, Pengwen and Chang, Chin-Chih and Sha, Lu and Huang, Dennis J- H and Teng, Chin-Chi and Cheng, Chung-Kuan},
  booktitle={Proceedings of the 51st Annual Design Automation Conference},
  pages={1--6},
  year={2014}
}
@article{SimPLPlace,
  title={SimPL: An effective placement algorithm},
  author={Kim, Myung-Chul and Lee, Dong-Jin and Markov, Igor L},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  volume={31},
  number={1},
  pages={50--60},
  year={2011},
  publisher={IEEE}
}
@article{Kraftwerk2Place,
  title={Kraftwerk2—A fast force-directed quadratic placement approach using an accurate net model},
  author={Spindler, Peter and Schlichtmann, Ulf and Johannes, Frank M},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  volume={27},
  number={8},
  pages={1398--1411},
  year={2008},
  publisher={IEEE}
}
@inproceedings{HeAPPlace,
  title={Analytical placement for heterogeneous FPGAs},
  author={Gort, Marcel and Anderson, Jason H},
  booktitle={22nd international conference on field programmable logic and applications (FPL)},
  pages={143--150},
  year={2012},
  organization={IEEE}
}
@inproceedings{FPGATimingOpt,
  title={An effective timing-driven detailed placement algorithm for FPGAs},
  author={Dhar, Shounak and Iyer, Mahesh A and Adya, Saurabh and Singhal, Love and Rubanov, Nikolay and Pan, David Z},
  booktitle={Proceedings of the 2017 ACM on International Symposium on Physical Design},
  pages={151--157},
  year={2017}
}
@inproceedings{CRoute,
  title={CRoute: A fast high-quality timing-driven connection-based FPGA router},
  author={Vercruyce, Dries and Vansteenkiste, Elias and Stroobandt, Dirk},
  booktitle={2019 IEEE 27th Annual International Symposium on Field-Programmable Custom Computing Machines (FCCM)},
  pages={53--60},
  year={2019},
  organization={IEEE}
}
@misc{FuzzGowin,
  title={How to fuzz an FPGA - My experience documenting Gowin FPGAs},
  url={https://www.youtube.com/watch?v=P7o6KcbpjmQ},
  year={2021},
  author={Pepijn de Vos},
  publisher={Chaos Computer Club}
}
@misc{Glasgow,
  title={Glasgow Interface Explorer},
  url={https://www.crowdsupply.com/1bitsquared/glasgow},
  year={2020},
  author={1BitSquared},
  publisher={CrowdSupply}
}
@misc{CologneChip,
  title={CologneChip GateMate FPGA Toolchain Installation User Guide},
  url={https://www.colognechip.com/docs/ug1002-toolchain-install-latest.pdf},
  year={2022},
  publisher={CologneChip}
}
@misc{RenesasForgeFPGA,
  title={Renesas introduces sub 50 cents FPGA family with free Yosys-based development tools},
  url={https://www.cnx-software.com/2021/11/22/renesas-50-cents-fpga-forgefpga-yosys-development-tools/},
  year={2021},
  author={Jean-Luc Aufranc},
  publisher={CNX Software}
}
@article{BMCDiameter,
  title={Bounded model checking.},
  author={Biere, Armin and Cimatti, Alessandro and Clarke, Edmund M and Strichman, Ofer and Zhu, Yunshan},
  journal={Handbook of satisfiability},
  volume={185},
  number={99},
  pages={457--481},
  year={2009}
}
@book{ModelCheckingBook,
  title={Principles of model checking},
  author={Baier, Christel and Katoen, Joost-Pieter},
  year={2008},
  publisher={MIT press}
}
@book{PracticalProblemsBook,
  title={Practical problems in VLSI physical design automation},
  author={Lim, Sung Kyu},
  year={2008},
  publisher={Springer Science \& Business Media}
}
@book{KahngBook,
  title={VLSI physical design: from graph partitioning to timing closure},
  author={Kahng, Andrew B and Lienig, Jens and Markov, Igor L and Hu, Jin},
  year={2011},
  publisher={Springer Science \& Business Media}
}
@book{HachtelBook,
  title={Logic synthesis and verification algorithms},
  author={Hachtel, Gary D and Somenzi, Fabio},
  year={2007},
  publisher={Springer Science \& Business Media}
}
@misc{KLayout,
  title={KLayout 0.28.2 Documentation},
  url={https://www.klayout.de/doc-qt5/klayout.pdf},
  year={2022},
}
@misc{XilinxFFT,
  title={Xilinx FFT IP core},
  url={https://www.xilinx.com/products/intellectual-property/fft.html},
  year={2022},
}
@misc{RandomFPU,
  title={IEEE 754 floating point unit in verilog},
  url={https://github.com/danshanley/FPU},
  year={2016},
}
@inproceedings{ModelChecking,
  title={Symbolic model checking},
  author={Clarke, Edmund and McMillan, K and Campos, S{\'e}rgio and Hartonas-Garmhausen, Vasiliki},
  booktitle={International conference on computer aided verification},
  pages={419--422},
  year={1996},
  organization={Springer}
}
@inproceedings{PetriNetsHardware,
  title={Petri nets and digital hardware design},
  author={Yakovlev, Alexandre V and Koelmans, Albert M},
  booktitle={Advanced Course on Petri Nets},
  pages={154--236},
  year={1996},
  organization={Springer}
}
@inproceedings{DualRailAsync,
  title={Coping with the variability of combinational logic delays},
  author={Cortadella, Jordi and Kondratyev, Alex and Lavagno, Luciano and Sotiriou, C},
  booktitle={IEEE International Conference on Computer Design: VLSI in Computers and Processors, 2004. ICCD 2004. Proceedings.},
  pages={505--508},
  year={2004},
  organization={IEEE}
}
@inproceedings{TempInduction,
  title={Checking safety properties using induction and a SAT-solver},
  author={Sheeran, Mary and Singh, Satnam and St{\aa}lmarck, Gunnar},
  booktitle={International conference on formal methods in computer-aided design},
  pages={127--144},
  year={2000},
  organization={Springer}
}
@misc{Coq,
  title={The Coq Proof Assistant 8.16.1 Reference Manual},
  url={https://coq.inria.fr/distrib/current/refman/},
  year={2022},
}
@inproceedings{Lean,
  title={The Lean theorem prover (system description)},
  author={Moura, Leonardo de and Kong, Soonho and Avigad, Jeremy and Doorn, Floris van and Raumer, Jakob von},
  booktitle={International Conference on Automated Deduction},
  pages={378--388},
  year={2015},
  organization={Springer}
}
@inproceedings{TheoremProverHardware,
  title={Effective theorem proving for hardware verification},
  author={Cyrluk, David and Rajan, Sreeranga and Shankar, Natarajan and Srivas, Mandayam K},
  booktitle={International Conference on Theorem Provers in Circuit Design},
  pages={203--222},
  year={1994},
  organization={Springer}
}
@article{BDD,
  title={Graph-based algorithms for boolean function manipulation},
  author={Bryant, Randal E},
  journal={Computers, IEEE Transactions on},
  volume={100},
  number={8},
  pages={677--691},
  year={1986},
  publisher={IEEE}
}
@article{BDDNPComplete,
  title={Improving the variable ordering of OBDDs is NP-complete},
  author={Bollig, Beate and Wegener, Ingo},
  journal={IEEE Transactions on computers},
  volume={45},
  number={9},
  pages={993--1002},
  year={1996},
  publisher={IEEE}
}

@article{IsaSATEDA,
  title={Formally Verified SAT-Solver IsaSAT wins EDA Challenge},
  publisher={University of Twente},
  url={https://www.utwente.nl/en/eemcs/fmt/news-events/news/2021/7/1124102/formally-verified-sat-solver-isasat-wins-eda-challenge},
  year={2021},
}
@misc{IsaSATComp,
  title={SAT Competition 2022 results},
  url={https://satcompetition.github.io/2022/results.html},
  year={2022},
}
@phdthesis{LTL,
  title={Linear temporal logic: Expressiveness and model checking},
  author={Strejcek, Jan},
  year={2004},
  school={PhD thesis, Faculty of Informatics, Masaryk University in Brno}
}
@misc{RWTHModelCheckingCourse,
  title={RWTH Aachen - Model Checking course lectures, summer semester 2018},
  url={https://video.fsmpi.rwth-aachen.de/18ss-mc},
  year={2018},
}
@inproceedings{CTL,
  title={Design and synthesis of synchronization skeletons using branching time temporal logic},
  author={Clarke, Edmund M and Emerson, E Allen},
  booktitle={Workshop on logic of programs},
  pages={52--71},
  year={1981},
  organization={Springer}
}
@article{CTLStar,
  title={“Sometimes” and “not never” revisited: on branching versus linear time temporal logic},
  author={Emerson, E Allen and Halpern, Joseph Y},
  journal={Journal of the ACM (JACM)},
  volume={33},
  number={1},
  pages={151--178},
  year={1986},
  publisher={ACM New York, NY, USA}
}
@misc{JasperGold,
  title={Cadence JasperGold},
  url={https://www.cadence.com/en_US/home/tools/system-design-and-verification/formal-and-static-verification/jasper-gold-verification-platform.html},
  year={2022},
}
@misc{Questa,
  title={Siemens Questa},
  url={https://eda.sw.siemens.com/en-US/ic/questa/},
  year={2022},
}
@misc{RWTHModelCheckingCourse,
  title={Cadence JasperGold},
  url={https://www.cadence.com/en_US/home/tools/system-design-and-verification/formal-and-static-verification/jasper-gold-verification-platform.html},
  year={2022},
}
@book{SMTBook,
  title={Decision procedures: an algorithmic point of view},
  author={Strichman, Ofer},
  year={2008},
  publisher={Springer}
}
@article{TarjanDFSSCC,
  title={Depth-first search and linear graph algorithms},
  author={Tarjan, Robert},
  journal={SIAM journal on computing},
  volume={1},
  number={2},
  pages={146--160},
  year={1972},
  publisher={SIAM}
}
@incollection{KarpNPHard,
  title={Reducibility among combinatorial problems},
  author={Karp, Richard M},
  booktitle={Complexity of computer computations},
  pages={85--103},
  year={1972},
  publisher={Springer}
}
@inproceedings{RegAlloc,
  title={Register allocation: What does the NP-completeness proof of Chaitin et al. really prove? or revisiting register allocation: Why and how},
  author={Bouchez, Florent and Darte, Alain and Guillon, Christophe and Rastello, Fabrice},
  booktitle={International Workshop on Languages and Compilers for Parallel Computing},
  pages={283--298},
  year={2007},
  organization={Springer}
}
@incollection{RegAllocSAT,
  title={Register Allocation Based on Boolean Satisfiability},
  author={Mengmeng, Yang and Jie, Liu},
  booktitle={Intelligent Data analysis and its Applications, Volume II},
  pages={275--281},
  year={2014},
  publisher={Springer}
}
@article{RegAllocDeep,
  title={Deep learning-based hybrid graph-coloring algorithm for register allocation},
  author={Das, Dibyendu and Ahmad, Shahid Asghar and Venkataramanan, Kumar},
  journal={arXiv preprint arXiv:1912.03700},
  year={2019}
}
@misc{Polyhedral,
  publisher = {LLVM project},
  title = {Polly: LLVM Framework for High-Level Loop and Data-Locality Optimizations},
  url = {https://polly.llvm.org/},
  year = {2023}
}
@misc{AutoVec,
  publisher = {LLVM project},
  title = {Auto-Vectorization in LLVM},
  url = {https://llvm.org/docs/Vectorizers.html},
  year = {2023}
}
@misc{LethalBitDiff,
  author = {Aki-nyan},
  title = {Fast parallel sliding-window based binary diff},
  url = {https://lethalbit.net/blog/fast-diff/},
  year = {2020}
}
@misc{XLSPipeline,
  publisher = {Google},
  title = {XLS: Accelerated HW Synthesis, Scheduling Overview},
  url = {https://google.github.io/xls/scheduling/pipeline-scheduling},
  year = {2023}
}
@misc{Chisel,
  title = {Chisel/FIRRTL Hardware Compiler Framework},
  url = {https://www.chisel-lang.org/},
  year = {2023}
}
@article{MLIR,
  title={MLIR: A compiler infrastructure for the end of Moore's law},
  author={Lattner, Chris and Amini, Mehdi and Bondhugula, Uday and Cohen, Albert and Davis, Andy and Pienaar, Jacques and Riddle, River and Shpeisman, Tatiana and Vasilache, Nicolas and Zinenko, Oleksandr},
  journal={arXiv preprint arXiv:2002.11054},
  year={2020}
}
@misc{CIRCT,
  title = {CIRCT: Circuit IR Compilers and Tools},
  publisher = {LLVM Project},
  url = {https://circt.llvm.org/},
  year = {2023}
}
@inproceedings{LLHD,
  title={LLHD: A multi-level intermediate representation for hardware description languages},
  author={Schuiki, Fabian and Kurth, Andreas and Grosser, Tobias and Benini, Luca},
  booktitle={Proceedings of the 41st ACM SIGPLAN Conference on Programming Language Design and Implementation},
  pages={258--271},
  year={2020}
}
@inproceedings{CayxIR,
  title={A compiler infrastructure for accelerator generators},
  author={Nigam, Rachit and Thomas, Samuel and Li, Zhijing and Sampson, Adrian},
  booktitle={Proceedings of the 26th ACM International Conference on Architectural Support for Programming Languages and Operating Systems},
  pages={804--817},
  year={2021}
}
@misc{CTUCANFD,
  title = {CTU CAN FD IP Core},
  publisher = {FEE CTU},
  url = {https://gitlab.fel.cvut.cz/canbus/ctucanfd_ip_core},
  year = {2023}
}
@misc{AmaranthGrayPR,
  title = {Amaranth GitHub Pull Request 726: lib.coding: remove GrayDecoder comb loop for consistency},
  author = {Emil J. Tywoniak and whitequark},
  url = {https://github.com/amaranth-lang/amaranth/pull/726},
  year = {2022}
}
@misc{AmaranthLoopIssue,
  title = {Amaranth GitHub Issue 704: Detect and reject netlists with combinatorial loops},
  author = {David Sporn and whitequark and Emil J. Tywoniak},
  url = {https://github.com/amaranth-lang/amaranth/issues/704},
  year = {2022}
}
@misc{YosysMathSATPR,
  title = {Yosys GitHub Pull Request 3519: smt2/smtbmc: Fix mathsat counterexample VCD dump crash},
  author = {Emil J. Tywoniak},
  url = {https://github.com/YosysHQ/yosys/pull/3519},
  year = {2022}
}
@misc{YosysDivisionPR,
  title = {Yosys GitHub Pull Request 3546: Add missing memory width assert preventing division by zero},
  author = {Emil J. Tywoniak and N. Engelhardt},
  url = {https://github.com/YosysHQ/yosys/pull/3546},
  year = {2022}
}
@misc{YosysLoopPR,
  title = {Yosys GitHub Pull Request 3504: Temporal induction counterexample loop detection},
  author = {Emil J. Tywoniak and Jannis Harder},
  url = {https://github.com/YosysHQ/yosys/pull/3504},
  year = {2022}
}
@misc{OpenLaneSeedIssue,
  title = {OpenLane Issue 1517: All random operations should take a seed},
  author = {Emil J. Tywoniak},
  url = {https://github.com/The-OpenROAD-Project/OpenLane/issues/1517},
  year = {2022}
}
@inproceedings{OpenRAM,
  title={OpenRAM: An open-source memory compiler},
  author={Guthaus, Matthew R and Stine, James E and Ataei, Samira and Chen, Brian and Wu, Bin and Sarwar, Mehedi},
  booktitle={2016 IEEE/ACM International Conference on Computer-Aided Design (ICCAD)},
  pages={1--6},
  year={2016},
  organization={IEEE}
}
@misc{GHDL,
  title={GHDL, a VHDL compiler},
  author={Gingold, Tristan},
  url={http://ghdl.free.fr/ghdl},
  year={2002}
}
@misc{GHDLYosys,
  title={ghdl-yosys-plugin: VHDL synthesis (based on GHDL and Yosys)},
  author={Gingold, Tristan},
  url={https://github.com/ghdl/ghdl-yosys-plugin},
  year={2023}
}
@misc{TinyTapeout,
  title={TinyTapeout},
  author={Matthew Venn},
  url={https://tinytapeout.com/},
  year={2023}
}
@inproceedings{RetimeABC,
  title={Continuous retiming: Algorithms and applications},
  author={Pan, Peichen},
  booktitle={Proceedings International Conference on Computer Design VLSI in Computers and Processors},
  pages={116--121},
  year={1997},
  organization={IEEE}
}
@article{RetimePolynomial,
  title={Retiming synchronous circuitry},
  author={Leiserson, Charles E and Saxe, James B},
  journal={Algorithmica},
  volume={6},
  number={1},
  pages={5--35},
  year={1991},
  publisher={Springer}
}
@inproceedings{OpenROAD,
  title={Openroad: Toward a self-driving, open-source digital layout implementation tool chain},
  author={Ajayi, Tutu and Blaauw, David},
  booktitle={Proceedings of Government Microcircuit Applications and Critical Technology Conference},
  year={2019}
}
@inproceedings{OpenLane,
  title={OpenLANE: The open-source digital ASIC implementation flow},
  author={Ghazy, Ahmed and Shalan, Mohamed},
  booktitle={Proc. Workshop on Open-Source EDA Technol.(WOSET)},
  year={2020}
}
@article{MinCut,
  title={Min-cut floorplacement},
  author={Roy, Jarrod A and Adya, Saurabh N and Papa, David A and Markov, Igor L},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  volume={25},
  number={7},
  pages={1313--1326},
  year={2006},
  publisher={IEEE}
}
@article{DPLL,
  title={A computing procedure for quantification theory},
  author={Davis, Martin and Putnam, Hilary},
  journal={Journal of the ACM (JACM)},
  volume={7},
  number={3},
  pages={201--215},
  year={1960},
  publisher={ACM New York, NY, USA}
}
@inproceedings{Unate,
  title={On solving covering problems},
  author={Coudert, Olivier},
  booktitle={Proceedings of the 33rd Annual Design Automation Conference},
  pages={197--202},
  year={1996}
}
@inproceedings{NPNEquivalence,
  title={Technology mapping using boolean matching and don't care sets.},
  author={Mailhot, Fr{\'e}d{\'e}ric and De Micheli, Giovanni},
  booktitle={EURO-DAC},
  volume={90},
  pages={212--216},
  year={1990}
}
@inproceedings{AnalogAutomation,
  title={Analog placement and global routing considering wiring symmetry},
  author={Yang, Yu-Ming and Jiang, Iris Hui-Ru},
  booktitle={2010 11th International Symposium on Quality Electronic Design (ISQED)},
  pages={618--623},
  year={2010},
  organization={IEEE}
}
@ARTICLE{IPXACT,
  author={},
  journal={IEEE Std 1685-2014 (Revision of IEEE Std 1685-2009)},
  title={IEEE Standard for IP-XACT, Standard Structure for Packaging, Integrating, and Reusing IP within Tool Flows},
  year={2014},
  volume={},
  number={},
  pages={1-510},
  doi={10.1109/IEEESTD.2014.6898803}
}
@article{Kactus2,
  title={Kactus2: A graphical EDA tool built on the IP-XACT standard},
  author={Kamppi, Antti and Pekkarinen, Esko and Virtanen, Janne and M{\"a}{\"a}tt{\"a}, Joni-Matti and J{\"a}rvinen, Juho and Matilainen, Lauri and Teuho, Mikko and H{\"a}m{\"a}l{\"a}inen, Timo D},
  journal={Journal of Open Source Software},
  volume={2},
  number={13},
  pages={151},
  year={2017}
}
@inproceedings{LiteX,
  title={LiteX: an open-source SoC builder and library based on Migen Python DSL},
  author={Kermarrec, Florent and Bourdeauducq, S{\'e}bastien and Badier, Hannah and Le Lann, Jean-Christophe},
  booktitle={OSDA 2019, colocated with DATE 2019 Design Automation and Test in Europe},
  year={2019}
}
@misc{Bender,
  title={Bender, a dependency management tool for hardware design projects},
  author={PULP platform},
  url={https://github.com/pulp-platform/bender/},
  year={2023}
}
@misc{ipyxact,
  title={ipyxact, a Python-based IP-XACT parser},
  author={Olof Kindgren},
  url={https://github.com/olofk/ipyxact},
  year={2023}
}
@misc{FuseSoC,
  title={FuseSoC, a hardware package manager},
  author={Olof Kindgren},
  url={https://github.com/olofk/fusesoc},
  year={2023}
}
@misc{Edalize,
  title={Edalize, a Python Library for interacting with EDA tools},
  author={Olof Kindgren},
  url={https://github.com/olofk/edalize},
  year={2023}
}
@phdthesis{HempelHLS,
  title={Generation of Application Specific Hardware Extensions for Hybrid Architectures: The Development of PIRANHA-A GCC Plugin for High-Level-Synthesis},
  author={Hempel, Gerald},
  year={2019},
  school={Dissertation, Dresden, Technische Universit{\"a}t Dresden, 2018}
}
@book{DFT,
  title={VLSI test principles and architectures: design for testability},
  author={Wang, Laung-Terng and Wu, Cheng-Wen and Wen, Xiaoqing},
  year={2006},
  publisher={Elsevier}
}
@article{Fault,
  title={Fault: Open-source EDA’s missing DFT toolchain},
  author={Abdelatty, Manar and Gaber, Mohamed and Shalan, Mohamed},
  journal={IEEE Design \& Test},
  volume={38},
  number={2},
  pages={45--52},
  year={2021},
  publisher={IEEE}
}
@article{FaultEquivNPC,
  title={Fault equivalence in combinational logic networks},
  author={McCluskey, Edward J and Clegg, Frederick W},
  journal={IEEE Transactions on Computers},
  volume={100},
  number={11},
  pages={1286--1293},
  year={1971},
  publisher={IEEE}
}
@article{PODEM,
  title={An implicit enumeration algorithm to generate tests for combinational logic circuits},
  author={Goel, Prabhakar},
  journal={IEEE transactions on Computers},
  volume={30},
  number={03},
  pages={215--222},
  year={1981},
  publisher={IEEE Computer Society}
}
@article{FAN,
  title={A fanout oriented test generation algorithm for combinational circuits},
  author={Fujiwara, H and Ozaki, HA},
  journal={Transactions of the Information Processing Society of Japan},
  volume={24},
  number={1},
  pages={56--63},
  year={1983}
}
@article{SOCRATES,
  title={SOCRATES: A highly efficient automatic test pattern generation system},
  author={Schulz, Michael H and Trischler, Erwin and Sarfert, Thomas M},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  volume={7},
  number={1},
  pages={126--137},
  year={1988},
  publisher={IEEE}
}
@Inbook{TseitinCNF,
  author="Tseitin, G. S.",
  editor="Siekmann, J{\"o}rg H.
  and Wrightson, Graham",
  title="On the Complexity of Derivation in Propositional Calculus",
  bookTitle="Automation of Reasoning: 2: Classical Papers on Computational Logic 1967--1970",
  year="1983",
  publisher="Springer Berlin Heidelberg",
  address="Berlin, Heidelberg",
  pages="466--483",
  abstract="The question of the minimum complexity of derivation of a given formula in classical propositional calculus is considered in this article and it is proved that estimates of complexity may vary considerably among the various forms of propositional calculus. The forms of propositional calculus used in the present article are somewhat unusual, {\textdagger} but the results obtained for them can, in principle, be extended to the usual forms of propositional calculus.",
  isbn="978-3-642-81955-1",
  doi="10.1007/978-3-642-81955-1_28",
  url="https://doi.org/10.1007/978-3-642-81955-1_28"
}
@article{SATATPG,
  title={Test pattern generation using Boolean satisfiability},
  author={Larrabee, Tracy},
  journal={IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems},
  volume={11},
  number={1},
  pages={4--15},
  year={1992},
  publisher={IEEE}
}
@inproceedings{Atalanta,
  title={Atalanta: An efficient, forward fault simulation algorithm based on the parallel pattern single fault propagation},
  author={Lee, Hyung Ki and Ha, Dong Sam},
  booktitle={1991, Proceedings. International Test Conference},
  pages={946},
  year={1991},
  organization={IEEE}
}
@misc{MyScripts,
  title={OpenLane and OpenROAD experimental scripts},
  author={Emil J. Tywoniak},
  url={https://gitlab.com/tywonemi-school-stuff/physical-design-scripts},
  year={2023}
}
@misc{MyOpenLaneFork,
  title={OpenLane fork},
  author={Emil J. Tywoniak},
  url={https://github.com/ekliptik/OpenLane/tree/view-placement},
  year={2023}
}
@misc{MyOpenROADFork,
  title={OpenROAD fork},
  author={Emil J. Tywoniak},
  url={https://github.com/ekliptik/OpenROAD/tree/hacks},
  year={2023}
}
@misc{MyChase,
  title={TinyTapeout 02 submission: Chase the Beat},
  author={Emil J. Tywoniak},
  url={https://github.com/ekliptik/tt02-chase-the-beat},
  year={2022}
}
@misc{CANFDFormal,
  title={CTU CAN FD IP Core Issue 416: Formal verification of CTU CAN FD},
  author={Ondrej Ille, Emil J. Tywoniak},
  url={https://gitlab.fel.cvut.cz/canbus/ctucanfd_ip_core/-/issues/416},
  year={2022}
}
@misc{GHDLPSLIssue,
  title={GHDL Issue 2204: LAST_VALUE and friends in PSL cause a crash after throwing an error},
  author={Emil J. Tywoniak and Tristan Gingold},
  url={https://github.com/ghdl/ghdl/issues/2204},
  year={2022}
}
@misc{SVTests,
  title={SV-Tests: Test suite to check SystemVerilog compliance},
  author={CHIPS Alliance},
  url={https://chipsalliance.github.io/sv-tests-results/},
  year={2023}
}
@misc{VHDLSimOrder,
  title={VHDL's crown jewel},
  author={Jan Decaluwe},
  url={https://insights.sigasi.com/opinion/jan/vhdls-crown-jewel/},
  year={2010}
}
@misc{Slang,
  title={slang - SystemVerilog Language Services},
  author={Michael Popoloski},
  url={https://github.com/MikePopoloski/slang},
  year={2023}
}
@article{TLVerilog,
  title={Top-Down Transaction-Level Design with TL-Verilog},
  author={Hoover, Steven and Salman, Ahmed},
  journal={arXiv preprint arXiv:1811.01780},
  year={2018}
}
@article{SystemVerilog,
  title={SystemVerilog 3.1 a Language Reference Manual: Accellera's Extensions to Verilog SystemVerilog 3.1 a Language Reference Manual: Accellera's Extensions to Verilog, 2004},
  author={YOU, Myoung-Keun and SONG, Gi-Yong},
  journal={IEICE transactions on fundamentals of electronics, communications and computer sciences},
  volume={93},
  number={5},
  pages={989--992},
  year={2010}
}
@misc{Verilog,
  title={Language Reference Manual},
  author={Verilog, HDL},
  year={2001},
  publisher={IEEE}
}
@incollection{Bluespec,
  title={Bluespec: A general-purpose approach to high-level synthesis based on parallel atomic transactions},
  author={Nikhil, Rishiyur S},
  booktitle={High-Level Synthesis},
  pages={129--146},
  year={2008},
  publisher={Springer}
}
@inproceedings{Clash,
  title={C$\lambda$ash: Structural descriptions of synchronous hardware using haskell},
  author={Baaij, Christiaan and Kooijman, Matthijs and Kuper, Jan and Boeijink, Arjan and Gerards, Marco},
  booktitle={2010 13th Euromicro Conference on Digital System Design: Architectures, Methods and Tools},
  pages={714--721},
  year={2010},
  organization={IEEE}
}
@article{VHDL,
  title={„Std 1076--2008, IEEE Standard VHDL Language Reference Manual “},
  author={IEEE Design Automation Standards Committee and others},
  journal={IEEE, New York, NY, USA},
  year={2008}
}
@article{Verilator,
  title={Verilator: Speedy reference models, direct from RTL},
  author={Snyder, Wilson},
  journal={Presentation to University of Massachusetts Amherst},
  year={2017}
}
@misc{Amaranth,
  title={Amaranth HDL and related projects},
  author={whitequark},
  url={https://github.com/amaranth-lang},
  year={2023}
}
@inproceedings{HDLComparison,
  title={A survey on system-on-a-chip design using chisel HW construction language},
  author={K{\"a}yr{\"a}, Matti and H{\"a}m{\"a}l{\"a}inen, Timo D},
  booktitle={IECON 2021--47th Annual Conference of the IEEE Industrial Electronics Society},
  pages={1--6},
  year={2021},
  organization={IEEE}
}
@inproceedings{Chisel,
  title={Chisel: constructing hardware in a scala embedded language},
  author={Bachrach, Jonathan and Vo, Huy and Richards, Brian and Lee, Yunsup and Waterman, Andrew and Avi{\v{z}}ienis, Rimas and Wawrzynek, John and Asanovi{\'c}, Krste},
  booktitle={DAC Design automation conference 2012},
  pages={1212--1221},
  year={2012},
  organization={IEEE}
}
@article{FIRRTL,
  title={Specification for the FIRRTL Language},
  author={Li, Patrick S and Izraelevitz, Adam M and Bachrach, Jonathan},
  journal={EECS Department, University of California, Berkeley, Tech. Rep. UCB/EECS-2016-9},
  year={2016}
}
@misc{Spinal,
  title={Spinal Hardware Description Language documentation},
  url={https://spinalhdl.github.io/SpinalDoc-RTD/master/index.html},
  year={2023}
}
@misc{Silice,
  title={Silice: A language for hardcoding Algorithms into FPGA hardware},
  url={https://github.com/sylefeb/Silice},
  year={2023}
}
@inproceedings{Koika,
  title={The essence of Bluespec: a core language for rule-based hardware design},
  author={Bourgeat, Thomas and Pit-Claudel, Cl{\'e}ment and Chlipala, Adam},
  booktitle={Proceedings of the 41st ACM SIGPLAN Conference on Programming Language Design and Implementation},
  pages={243--257},
  year={2020}
}
@article{Kami,
  title={Kami: a platform for high-level parametric hardware specification and its modular verification},
  author={Choi, Joonwon and Vijayaraghavan, Muralidaran and Sherman, Benjamin and Chlipala, Adam and others},
  year={2017},
  publisher={Association for Computing Machinery (ACM)}
}
